Package wx :: Class HtmlListBox

[frames | no frames]

## Type HtmlListBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
               VScrolledWindow --+
                                 |
                          VListBox --+
                                     |
                                    HtmlListBox

Known Subclasses:
  `SimpleHtmlListBox`

Proxy of C++ HtmlListBox class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
FileSystem | `GetFileSystem(self)`
| `OnLinkClicked(self, n, link)`
| `SetItemCount(self, count)`

Property Summary
| `FileSystem`: See `GetFileSystem`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=VListBoxNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.VListBox.__init__` (inherited documentation)

### Create(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=VListBoxNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.VListBox.Create` (inherited documentation)

Property Details

### FileSystem

See `GetFileSystem`

  Get Method:
    `GetFileSystem`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:34 2007 | http://epydoc.sf.net